<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    tools:context=".ui.inquiry.QueryDetailsActivity">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_marginTop="10dp"
        android:layout_height="45dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textStyle="bold"
                android:textColor="@color/white"
                android:textSize="24sp" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_toRightOf="@+id/tvTitle"

                android:textColor="@color/white" />

        </RelativeLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:layout_marginRight="18dp"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toRightOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="36dp"
        android:layout_marginTop="36dp"
        android:layout_marginRight="30dp"
        android:layout_marginBottom="90dp"
        android:background="@drawable/bg_add_chemicals_one"
        android:orientation="horizontal"
        android:paddingLeft="15dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="22dp"
            android:layout_marginRight="16dp"
            android:layout_weight="0.5"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:layout_marginTop="8dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/bg_bei_ji"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="化学品柜"
                    android:textColor="@color/black" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="柜门"
                    android:textColor="@color/black" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerViewListLeft"
                    android:layout_width="match_parent"
                    android:layout_height="220dp"
                    android:layout_weight="1" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerViewListRight"
                    android:layout_width="match_parent"
                    android:layout_height="220dp"
                    android:layout_weight="1" />
            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:background="@mipmap/icon_shu_xian" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="0.32"
            android:orientation="vertical"
            android:paddingLeft="10dp"
            android:paddingTop="20dp">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="34dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="化学品名称化学品名称"
                    android:textColor="@color/black" />

                <TextView
                    android:id="@+id/produce"
                    android:layout_width="60dp"
                    android:layout_height="30dp"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="6dp"
                    android:layout_toLeftOf="@+id/imgA"
                    android:background="@drawable/bg_guan_zhi"
                    android:gravity="center"
                    android:text="易制毒"
                    android:textColor="@color/purple_0072dd" />

                <TextView
                    android:id="@+id/category"
                    android:layout_width="60dp"
                    android:layout_height="30dp"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="6dp"
                    android:layout_toLeftOf="@+id/produce"
                    android:background="@drawable/bg_guan_zhi"
                    android:gravity="center"
                    android:text="管制类"
                    android:textColor="@color/purple_0072dd" />
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="34dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="液体/CAS123456/AR(分析纯)"
                    android:textColor="@color/black" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/icon_cx_zl" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:text="总量:1500ml"
                        android:textColor="@color/black" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:background="@mipmap/icon_cz_jhl" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:text="数量:2"
                        android:textColor="@color/black" />

                </LinearLayout>

            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/purple_A2A2A2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:background="@drawable/bg_bei_ji"
                android:gravity="center_vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="编码"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="规格"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="库存量"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="归属人"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="存储位置"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:text="状态"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rvUse"
                android:layout_width="match_parent"
                android:layout_height="180dp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <LinearLayout
                    android:id="@+id/rvPage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/one"
                        android:layout_width="50dp"
                        android:layout_height="40dp"
                        android:background="@drawable/bg_sou_suo"
                        android:gravity="center"
                        android:padding="10dp"
                        android:text="1"
                        android:textColor="@color/white" />

                    <TextView
                        android:id="@+id/two"
                        android:layout_width="50dp"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:padding="10dp"
                        android:text="2"
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/three"
                        android:layout_width="50dp"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:padding="10dp"
                        android:text="3"
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/drop"
                        android:layout_width="50dp"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:padding="10dp"
                        android:text="..."
                        android:textColor="@color/black" />

                    <TextView
                        android:id="@+id/many"
                        android:layout_width="50dp"
                        android:layout_height="40dp"
                        android:gravity="center"
                        android:padding="10dp"
                        android:text="4"
                        android:textColor="@color/black" />
                </LinearLayout>

                <Button
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="8dp"
                    android:layout_toLeftOf="@+id/rvPage"
                    android:background="@drawable/bg_up_page"
                    android:text="上一页"
                    android:textColor="@color/black" />

                <Button
                    android:layout_width="wrap_content"
                    android:layout_height="35dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="8dp"
                    android:layout_toRightOf="@+id/rvPage"
                    android:background="@drawable/bg_sou_suo"
                    android:text="下一页"
                    android:textColor="@color/white" />
            </RelativeLayout>

        </LinearLayout>

    </LinearLayout>


    <Button
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:textSize="12sp"
        android:text="返回180s"
        android:textColor="@color/white" />


    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginLeft="26dp"
        android:layout_marginBottom="24dp"
        android:layout_toRightOf="@+id/tvReturn"
        android:text="扫描化学品标签快速精准查询"
        android:textColor="@color/white"
        android:textSize="20sp" />

    <Button
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun_two"
        android:textSize="12sp"
        android:text="开门"
        android:textColor="@color/white" />
</RelativeLayout>